Package com.microblink.blinkid.fragment.overlay.components.onboarding

# Class OnboardingPagerAdapter

java.lang.Object
androidx.viewpager.widget.PagerAdapter
androidx.fragment.app.FragmentStatePagerAdapter
com.microblink.blinkid.fragment.overlay.components.onboarding.OnboardingPagerAdapter

public class OnboardingPagerAdapter extends androidx.fragment.app.FragmentStatePagerAdapter

- ## Field Summary

  ### Fields inherited from class androidx.fragment.app.FragmentStatePagerAdapter

  `BEHAVIOR_RESUME_ONLY_CURRENT_FRAGMENT, BEHAVIOR_SET_USER_VISIBLE_HINT`

  ### Fields inherited from class androidx.viewpager.widget.PagerAdapter

  `POSITION_NONE, POSITION_UNCHANGED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OnboardingPagerAdapter(androidx.fragment.app.FragmentManager fm, int behavior, String[] titles, String[] messages, int[][] imagesArray, int titleTextAppearance, int messageTextAppearance, int backgroundColor)`
  `OnboardingPagerAdapter(androidx.fragment.app.FragmentManager fm, int behavior, String[] titles, String[] messages, int[] images, int titleTextAppearance, int messageTextAppearance, int backgroundColor)`
  `OnboardingPagerAdapter(androidx.fragment.app.FragmentManager fm, String[] titles, String[] messages, int[][] imagesArray, int titleTextAppearance, int messageTextAppearance, int backgroundColor)`
  `OnboardingPagerAdapter(androidx.fragment.app.FragmentManager fm, String[] titles, String[] messages, int[] images, int titleTextAppearance, int messageTextAppearance, int backgroundColor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCount()`
  `androidx.fragment.app.Fragment`
  `getItem(int position)`

  ### Methods inherited from class androidx.fragment.app.FragmentStatePagerAdapter

  `destroyItem, finishUpdate, instantiateItem, isViewFromObject, restoreState, saveState, setPrimaryItem, startUpdate`

  ### Methods inherited from class androidx.viewpager.widget.PagerAdapter

  `destroyItem, finishUpdate, getItemPosition, getPageTitle, getPageWidth, instantiateItem, notifyDataSetChanged, registerDataSetObserver, setPrimaryItem, startUpdate, unregisterDataSetObserver`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OnboardingPagerAdapter

    public OnboardingPagerAdapter(@NonNull androidx.fragment.app.FragmentManager fm, String[] titles, String[] messages, int[] images, @StyleRes int titleTextAppearance, @StyleRes int messageTextAppearance, @ColorInt int backgroundColor)

  - ### OnboardingPagerAdapter

    public OnboardingPagerAdapter(@NonNull androidx.fragment.app.FragmentManager fm, String[] titles, String[] messages, int[][] imagesArray, @StyleRes int titleTextAppearance, @StyleRes int messageTextAppearance, @ColorInt int backgroundColor)

  - ### OnboardingPagerAdapter

    public OnboardingPagerAdapter(@NonNull androidx.fragment.app.FragmentManager fm, int behavior, String[] titles, String[] messages, int[] images, @StyleRes int titleTextAppearance, @StyleRes int messageTextAppearance, @ColorInt int backgroundColor)

  - ### OnboardingPagerAdapter

    public OnboardingPagerAdapter(@NonNull androidx.fragment.app.FragmentManager fm, int behavior, String[] titles, String[] messages, int[][] imagesArray, @StyleRes int titleTextAppearance, @StyleRes int messageTextAppearance, @ColorInt int backgroundColor)

- ## Method Details

  - ### getItem

    @NonNull public androidx.fragment.app.Fragment getItem(int position)
    Specified by:
      `getItem` in class `androidx.fragment.app.FragmentStatePagerAdapter`

  - ### getCount

    public int getCount()
    Specified by:
      `getCount` in class `androidx.viewpager.widget.PagerAdapter`